<h1>Kontrola produktu
    <?php
    if (!empty($this->product)) {?>
    <a href='/admin/products/edit/?product_id=<?= $this->product['product_id'] ?>'>
        <span class="floatright button active border-style">Upravit produkt</span>
    </a>
    <?php } ?>
</h1>
<div class="clear"></div> 
<?php
if (!empty($this->product)) {
    $validator = new Zend_Validate_File_Exists();
    $validator->addDirectory('images/eshop_products/l/');
    if (isset($this->product['category_id'])) {
        $category_array = explode(";", $this->product['category_id']);
        $category_id = $category_array[0];
    } else {
        $category_id = null;
    }
    ?>    
    <div class="bg-white border-style" style="width: 98%">
        <div class="padding10">
            <h1><?= $this->product['title'] ?></h1>
            <p><b>ID výrobku:</b> <?= $this->product['product_id'] ?></p>
            <p><b>výrobce:</b> <?= $this->product['producer'] ?></p>
            <p><b>zařazeno v kategoriích:</b><br/> 
                <?php
                $subcattitles = explode(";", $this->product['subcategory_title']);
                $subcatids      = explode(";", $this->product['subcategory_id']);
                foreach ($subcattitles as $key => $value) {
                    echo $value . "<br/>";
                }
                ?>
            </p>
            <p><b>objem:</b> <?= $this->product['size'] ?></p>
            <p><b>cena:</b> <?= $this->product['price'] ?>,- kč</p>
            <p><b>info:</b></p>
            <p><?= $this->product['text'] ?></p>
        </div>
    </div>
    <div class="clear"></div>    
    <?php
    if ($validator->isValid($this->product['product_id'] . '.jpg')) {
        $image = Zend_Pdf_Image::imageWithPath('images/eshop_products/l/' . $this->product['product_id'] . '.jpg');
        $width = $image->getPixelWidth();
        $height = $image->getPixelHeight();
        ?>
        <div class="product-imageholder-big border-style" style="width: <?= $width ?>px; height: <?= $height ?>px">
            <img src="/images/eshop_products/l/<?= $this->product['product_id'] ?>.jpg" class="product-image-big" style="width: <?= $width ?>px; height: <?= $height ?>px" />
        </div>
        <?php
    } else if (isset($category_id)) {
        //$image = Zend_Pdf_Image::imageWithPath('images/eshop_products/l/default-' . $category_id . '.jpg');
        //$width = $image->getPixelWidth();
        //$height = $image->getPixelHeight();
        ?>
        <div class="product-imageholder-big border-style" style="width: <?= $width ?>px; height: <?= $height ?>px">
            <div style="position: absolute; top: 30px; left: 30px; z-index: 99; background-color: white">
                Toto je výchozí obrázek<br/>
                Lze nahradit nahráním jiného.
            </div>
            <img src="/images/eshop_products/default-<?= $category_id ?>.jpg" class="product-image-big" style="width: <?= $width ?>px; height: <?= $height ?>px" />
        </div>
        <?php
    } else { ?>
        <div class="product-imageholder-big border-style" style="width: <?= $width ?>px; height: 600px">
            <div style="position: absolute; top: 30px; left: 30px; z-index: 99; background-color: white">
                Zatím není nahraný obrázek a ani není nastaven druh produktu...
            </div>
        </div>
        <?php
    }
} else {
    echo "<p>Něco se pokazilo. Produkt není k dispozici.</p>";
}
?>